Subject: Re: [PATCH net-next] gve: change to use page_pool_put_full_page when recycling pages

From: Simon Horman <[email-masked]>
Date: Thu, 24 Oct 2024 16:45:03 +0100

On Thu, Oct 24, 2024 at 10:36:02AM +0800, Yunsheng Lin wrote:
> On 2024/10/24 6:11, Praveen Kaligineedi wrote:
> > From: Harshitha Ramamurthy <[email-masked]>
> > 
> > The driver currently uses page_pool_put_page() to recycle
> > page pool pages. Since gve uses split pages, if the fragment
> > being recycled is not the last fragment in the page, there
> > is no dma sync operation. When the last fragment is recycled,
> > dma sync is performed by page pool infra according to the
> > value passed as dma_sync_size which right now is set to the
> > size of fragment.
> > 
> > But the correct thing to do is to dma sync the entire page when
> > the last fragment is recycled. Hence change to using
> > page_pool_put_full_page().
> 
> I am not sure if Fixes tag is needed if the blamed commit is only
> in the net-next tree. Otherwise, LGTM.

I think it would be best to provide a fixes tag in this case.
It can be done by supplying it in a response to this email thread.
(I think it needs to start at the beginning of a line.)

> Reviewed-by: Yunsheng Lin <[email-masked]>
> 
> > 
> > Link: https://lore.kernel.org/netdev/[email-masked]/
> > 
> > Suggested-by: Yunsheng Lin <[email-masked]>
> > Reviewed-by: Praveen Kaligineedi <[email-masked]>
> > Reviewed-by: Willem de Bruijn <[email-masked]>
> > Signed-off-by: Harshitha Ramamurthy <[email-masked]>

...